<!--
******************************************************************************
* Copyright © 2017-2018 PTA GmbH.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* 
*     http://www.eclipse.org/legal/epl-v10.html
* 
******************************************************************************
-->

<div [formGroup]="currentDateformGroup" class="datepicker-field-wrapper">
  <input
    class="form-control entry-input"
    type="datetime"
    [matDatepicker]="picker"
    placeholder="Datum"
    formControlName="current"
    (dateChange)="validateInput($event)"
  />
  <mat-datepicker-toggle matIconSuffix [for]="picker"> </mat-datepicker-toggle>
  <mat-datepicker #picker>
    <mat-datepicker-actions>
      <div
        style="
          display: grid;
          grid-template-columns: auto auto;
          align-items: center;
        "
      >
        <mat-form-field style="width: 115px">
          <mat-label>Stunden</mat-label>
          <input
            formControlName="currentHours"
            matInput
            type="number"
            [min]="minHours"
            [max]="maxHours"
          />
          <mat-error *ngIf="currentDateformGroup.controls.currentHours.invalid">
            {{ minHours }} bis {{ maxHours }}
          </mat-error>
        </mat-form-field>
        <mat-form-field style="width: 115px">
          <mat-label>Minuten</mat-label>
          <input
            formControlName="currentMinutes"
            matInput
            type="number"
            [min]="minMinutes"
            [max]="maxMinutes"
          />
          <mat-error
            *ngIf="currentDateformGroup.controls.currentMinutes.invalid"
          >
            {{ minMinutes }} bis {{ maxMinutes }}
          </mat-error>
        </mat-form-field>
        <button
          mat-raised-button
          [disabled]="currentDateformGroup.invalid"
          color="primary"
          matDatepickerApply
          (click)="emitDate()"
        >
          Übernehmen
        </button>
        <button mat-button color="basic" matDatepickerCancel>Abbrechen</button>
      </div>
    </mat-datepicker-actions>
  </mat-datepicker>
</div>
